GET/v1/postbatches/{id}/import

Import status

The latest import with its status (UPLOADED, PARSING, PARSED, MAPPED, PROCESSING, DONE, FAILED, CANCELLED), encoding, delimiter, headers, sample rows, row count, the proposed and confirmed mapping with its issues, the processing counts and errors.

Scope items.read

Path parameters

idstringrequired

Returns

22 fields of the 200 answer
idstringrequired
postbatchIdstringrequired
uploadIdstringrequired
statusenumrequired
UPLOADEDPARSINGPARSEDMAPPEDPROCESSINGDONEFAILEDCANCELLED
encodingstring or nullrequired
delimiterstring or nullrequired
headersarray of stringrequired
sampleRowsarray of objectsrequired
rowCountinteger or nullrequired
malformedRowsarray of integerrequired
targetsarray of objectsrequired
3 fields
namestringrequired
requiredbooleanrequired
kindenumrequired
recipientvariable
proposedMappingobject or nullrequired
mappingSourcestring or nullrequired
mappingobject or nullrequired
issuesarray of objectsrequired
5 fields
codeenumrequired
unknown_targetunknown_columnunmapped_requiredunused_columnempty_expression
severityenumrequired
errorwarning
messagestringrequired
targetstring
columnstring
rowCountsobjectrequired
errorsarray of objectsrequired
3 fields
codestringrequired
messagestringrequired
lineinteger
parsedAtdate-time or nullrequired
startedAtdate-time or nullrequired
finishedAtdate-time or nullrequired
createdAtdate-timerequired
updatedAtdate-timerequired

Responses

200Success
401Authentication required or API key invalid
403Permission or scope missing, organisation suspended
404Not found
429Rate limited for this API key and class; wait Retry-After seconds
otherError (RFC 9457 problem details)